/*
 * @Company: hugeInfo
 * @Author: lwh
 * @Date: 2022-08-09 09:38:59
 * @LastEditTime: 2023-08-04 11:50:34
 * @LastEditors: dminyi 1301963064@qq.com
 * @Version: 1.0.0
 * @Description:
 */
import React, { useState } from 'react';
import { Modal, Button } from 'dingtalk-design-mobile';
import './index.less';

const ModalView = ({ data, visible, visibleOnClick }) => {
	return (
		<>
			<Modal
				visible={visible}
				title={data.title}
				onClose={() => () => visibleOnClick('', false)}
				actions={data.list.map((item) => ({ text: item.text, onClick: () => visibleOnClick(item.type, false) }))}
			>
				<div>{data.content}</div>
        
			</Modal>
		</>
	);
};

export default ModalView;
